<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('processed_schedules', function (Blueprint $table) {
            $table->string('holiday', 100)->nullable()->after('restday');
            $table->unsignedSmallInteger('holiday_type')->nullable()->after('holiday');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('processed_schedules', function (Blueprint $table) {
            $table->dropColumn(['holiday', 'holiday_type']);
        });
    }
};
